Hi, I'm Ask INFA!
What would you like to know?
ASK INFAPreview
Please to access Ask INFA.

Table of Contents

Search

  1. Preface
  2. IDMC REST API
  3. REST API resource quick references
  4. Platform REST API version 2 resources
  5. Platform REST API version 3 resources
  6. Data Integration REST API
  7. Cloud Data Integration for PowerCenter (CDI-PC) REST API
  8. Data Ingestion and Replication REST API
  9. Customer Managed REST API
  10. RunAJob utility
  11. ParamSetCli utility
  12. REST API codes

REST API Reference

REST API Reference

Register a domain

Register a domain

Use a POST request to register a
CDI-PC
domain in
IDMC
.
You can't register a Kerberos authenticated
CDI-PC
domain using REST API. If the domain uses Kerberos authentication, log in to IDMC service and then register the domain in the
CDI-PC
home page.

POST request

Use the following POST request to register a CDI-PC domain:
POST /public/api/v1/domains

Parameters

To register a CDI-PC domain in
IDMC
using the REST API, provide a request with specific parameters that detail the domain's configuration and authentication credentials.
The following example demonstrates the structure and content of a typical request to register domain API:
POST /public/api/v1/domains Content-Type: application/json IDS-SESSION-ID: <your-session-token> { "domainAuthInfo": { "username": "string", "password": "string", "namespace": "string" }, "domainName": "string", "domainDisplayName": "string", "domainHost": "string", "domainPort": 1, "description": "string", "kerberos": false, "environmentType": "NONE", "secureAgentGroup": { "agentGroupSaasId": "string" } }
The following table describes the parameters of the header component:
Attribute
Type
Description
IDS-SESSION-ID
String
The
IDS-SESSION-ID
attribute in the header that holds the session ID value.
If the organization uses the session ID authentication type, session-based authentication is used. The session ID expires after 30 minutes of inactivity. A grace period of up to 2 minutes might be included to account for any network or unexpected delays.

Request body

The following table describes the attributes of the request body:
Attribute
Type
Description
domainAuthInfo
String
Contains the authentication details for the domain.
  • username
    : Username for authenticating access to a specific domain. It identifies the user within the domain's authentication system.
  • password
    : The corresponding password for the username.
  • namespace
    : The namespace associated with the domain authentication.
domainName
String
The name of the CDI-PC domain that you want to register.
domainDisplayName
String
A display name for the CDI-PC domain.
By default, the display name is the same as the domain name.
You can update the name if needed. The name can be different from the domain name, but the name must be unique in the organization.
domainHost
String
Host name or IP address of the gateway node machine.
domainPort
Integer
HTTPS port number used to connect to the domain host
description
String
A brief description of the domain and its purpose.
kerberos
Boolean
A boolean flag indicating whether Kerberos authentication is enabled (
true
) or not (
false
).
environmentType
String
Specifies the environment type of the domain, such as
NONE
,
DEV
,
QA
, or
PROD
.
secureAgentGroup
String
Contains information about the Secure Agent group associated with the domain.
agentGroupSaasId
String
The SaaS ID of the Secure Agent group used for managing data integration tasks.

Responses

The following table describes the common responses to the register API request:
Field
Description
Sample example
200
Success response.
The response includes a Logical Domain Object ID (
ldoId
), which is the unique identifier that
IDMC
assigns to a domain upon registration.
You must include this
ldoId
in the URL for all future API requests for this domain. Use
ldoId
to track the domain through various lifecycle actions, such as deregistration and reconciliation.
{ "message": "string", "domainVersion": "string", "latestAvailableVersion": "string", "applyDeadline": 0, "domainVersionState": "SUPPORTED", "ldoId": "string", "pdoId": "string" }
400
Bad request. Can be a field or format issue, such as an invalid character or incorrect string length.
{ "result": { "output": { "errorInfo": { "error": { "code": "string", "message": "string", "debugMessage": "string", "requestId": "string", "details": [ "errorContext": { "component": "string", "componentId": "string", "sanitizedLogDirectoryPaths": string } } } } }
401
Authentication issue. For example, invalid credentials or invalid session IDs.
For invalid credentials or invalid session ID, you might see responses,such as
Exception encountered while processing JWT
or
Unauthorized request error
.
500
Internal server error when an unexpected condition is encountered.
{ "result": { "output": { "status": "string", "message": "string", "data": {} }, "errorInfo": { "error": { "code": "string", "message": "string", "debugMessage": "string", "requestId": "string", "details": [ { "code": "string", "message": "string", "debugMessage": "string" } ], "errorContext": { "component": "string", "componentId": "string", "sanitizedLogDirectoryPaths": [ "string" ] } }

0 COMMENTS

We’d like to hear from you!